
% Programme de calcul d'clmairement de panneaux solaires
% Satellite STEP, propos par LECUYOT


H=12;% Heure locale
incl=97; % Inclinaison orbitale

incl=incl*pi/180;
epsilon=15*(12-H)*pi/180; % Angle epsilon en radian
cspsi_tab=[];psi=[]; % Initialisations

J=0:5:365;% Nombre de jours depuis quinoxe de printemps

delta=asin(sin(23.5*pi/180)*sin(2*pi/365*(J)));% Dclinaison du soleil en radian

% Cosinus de l'angle d'clairement en radian
cspsi=sin(delta)*cos(incl)-sin(incl)*sin(epsilon)*cos(delta);
psi=acos(cspsi)*180/pi; % Psi en degrs

end
epsilon

% Trac de la courbe psi en fonction de J
plot(J,acos(cspsi)*180/pi,'b');
cinvert